/**
 *  @file Point.cpp
 *  @brief Point nem inline fggvnyei
 */

#include "Point.h"

/// += operator
Point& Point::operator+=(const Point& rhs_p) {
    x += rhs_p.x;
    y += rhs_p.y;
    return *this;
}

// - operator
Point Point::operator-(const Point& rhs_p) const {
    return Point(rhs_p.x-x, rhs_p.y-y);
}

// + operator
Point Point::operator+(const Point& rhs_p) const {
    return Point(rhs_p.x+x, rhs_p.y-y);
}

/// Global inserter
std::ostream& operator<<(std::ostream& os, const Point& p) {
    return os << "(" << p.getX() <<"," << p.getY() << ")";
}