/**
 * @file Point.h
 * @brief Point osztly
 */
#ifndef POINT_H
#define POINT_H

#include <iostream>         // ostream miatt kell

class Point {
    int x;
    int y;
public:
    Point(int x = 0, int y = 0) :x(x), y(y) {}

    /// += operator
    Point& operator+=(const Point& rhs_p);

    /// - operator
    Point operator-(const Point& rhs_p) const;
	/// + operator
	Point operator+(const Point& rhs_p) const;
	
	int getX() const {return x;}
	int getY() const {return y;}
	
};

// Inserter
std::ostream& operator<<(std::ostream& os, const Point& p);

#endif
